
QGIS Application - Bug report #19664

Export map to image fails

2018-08-21 03:12 PM - David Quick

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.2.2 Regression?: No

Operating System: Windows 10.0.17134 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27489

Description

When attempting to export a map to Desktop using command Project > Import/Export > Export Map to Image, using filename

STR818_1.PNG, the program invariably crashes.

User Feedback

Report Details

Crash ID: 059fc511cf0597c0396959d1053938bd93019461

Stack Trace

WTFCrash :

JSC::evaluate :

JSPropertyNameArrayGetCount :

JSPropertyNameArrayGetCount :

WKConnectionGetTypeID :

QWebFrameAdapter::evaluateJavaScript :

QWebFrame::evaluateJavaScript :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyObject_Call :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

QMetaMethod::invoke :

QMetaObject::invokeMethod :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyObject_Call :

PyInit_sip :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::shrink_to_fit :

QgsPresetSchemeColorRamp::clone :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::start :

QgsMapRendererCustomPainterJob::renderSynchronously :

QgsMapRendererTask::run :

QgsTask::start :
QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: commit:26842169e9

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-08-21 08:01 PM - Giovanni Manghi

- Priority changed from Normal to High

- Category changed from Processing/QGIS to Unknown

- Status changed from Open to Feedback

Does it happens regardless of the project in use?

#2 - 2018-08-22 10:41 AM - Alessandro Pasotti

I cannot reproduce (given the limited information).

#3 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#4 - 2019-02-23 08:37 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
